--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: import_module
- !ruby/object:RI::MethodSummary 
  name: import_supported?
- !ruby/object:RI::MethodSummary 
  name: list_imported
- !ruby/object:RI::MethodSummary 
  name: module_file_name
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: MODULE_EXT
  value: "'yaml'"
full_name: SNMP::MIB
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: load_module
- !ruby/object:RI::MethodSummary 
  name: oid
- !ruby/object:RI::MethodSummary 
  name: varbind
- !ruby/object:RI::MethodSummary 
  name: varbind_list
name: MIB
superclass: Object
